Provide linkable anchors in diff view to the affected content, or highlight the changes in the content
Open, NormalPublic

Description

Author: gangleri

Description:

In diff displays, it is sometimes hard to find the altered text in the article or edit page. This is particularly true for small edits to large tables or complex references. Blocks of text in diffs are always preceded by a line number. It would be helpful if that line number was a live link that took you to the place in the text where the changed block occurs, perhaps highlighting the first few words of the text in the diff block.


Hallo!

It might be a good idea to provide links between the diff section and the
content on the diff result page. This would save time to follow the changes.

Main reason is to quickly follow the implication of the changes in general and
the change to parameter values in particular.

Best regards Reinhardt [[user:gangleri]]


Note: This should be done only if the content is displayed on the diff view, which is configurable in preferences with the diffonly option, or using ?diffonly=0 in the URL


Such a feature is available e.g. in GitHub and gitblit diffs. (Which also load the anchor in question on double click, though; that should be a separate task.) [please provide an example link to test this feature on GitHub]


Version: 1.24rc
Severity: enhancement
URL: https://en.wikipedia.org/w/index.php?title=Wikipedia:Categorization&diff=14642409&oldid=14642357
See Also:
T63486: Provide linkable anchors to line indicators in diff view

Details

Blocked By
T63486: Provide linkable anchors to line indicators in diff view
Security
None
Reference
bz2313
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz2313.
bzimport created this task.Jun 4 2005, 2:49 AM

gangleri wrote:

addition to comment 0
It would be nice to know if "localurl" supports anchors and how to code them.

Please see:
http://test.leuksman.com/index.php/REVISIONID_tests_relating_move_and_anchors_-_main
with (unsuccessful) attempts to refere to
http://test.leuksman.com/index.php/REVISIONID_tests_relating_move_and_anchors_-_step_1
trough "localurl"

If "localurl" does *not* support anchors I would like to open a new bug report.

Regards Reinhardt [[user:gangleri]]

brion added a comment.Aug 19 2005, 9:20 AM
  • Bug 3193 has been marked as a duplicate of this bug. ***

mediazilla wrote:

Another anchor... Everyone is watching their watch pages, correct? So when you
click on diff, hist or the person who changed an article, all fine, but...

When you click on the article you are most likely heading to the article to
check out the changes *without* diff information. If someone editted a section,
the section is displayed on the watch page. So, you want to head to the section.
There are anchors at the section heading. Why doesn't it automatically link to
the section header? This is especially true for Talk pages, since they are
almost always under a new heading AND at the very bottom of a very long list.

mediazilla wrote:

I also noticed that what I believe would be in the same category. Although I
don't know if the dev groups are split between teams that work on the watchpage
and the diff page. If so, sorry.

When someone creates a new subsection on a talk page, it is listed as an edit on
the (top). This is technically correct, but shouldn't the watch pages have a '
-> ' that heads to that new section as if someone had just editted an existing
section?

I don't understand what you want. And it has been almost 6 years since anyone commented. WONTFIX seems appropriate.

(In reply to comment #5)

I don't understand what you want. And it has been almost 6 years since anyone
commented. WONTFIX seems appropriate.

What in the hell. Don't do that. Re-opening.

  • Bug 56541 has been marked as a duplicate of this bug. ***
  • Bug 63707 has been marked as a duplicate of this bug. ***
  • Bug 61486 has been marked as a duplicate of this bug. ***

agr wrote:

I reported 63707 as a feature request. I think it had a clearer explanation of the need. Here is what I wrote:

"In diff displays, it is sometimes hard to find the altered text in the article or edit page. This is particularly true for small edits to large tables or complex references. Blocks of text in diffs are always preceded by a line number. It would be helpful if that line number was a live link that took you to the place in the text where the changed block occurs, perhaps highlighting the first few words of the text in the diff block."

I have been editing Wikipedia for ten years and run into this problem all the time. I'm sure other editors do as well and that there are errors that have crept into the encyclopedia because it is too hard to find what has changed. I would also note that three other bugs have been redirected here, but this bug only has two votes. That seems wrong. --agr

Nemo_bis changed the title from "Provide linkable anchors to start or related paragraphs in diff view" to "Provide linkable anchors in diff view (e.g. content top, line numbers)".Jan 16 2015, 10:25 PM
Nemo_bis edited the task description. (Show Details)
Nemo_bis set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185568 had a related patch set uploaded (by Nemo bis):
Add anchor "lead" for beginning of page content in diff view

https://gerrit.wikimedia.org/r/185568

Patch-For-Review

Change 185569 had a related patch set uploaded (by Nemo bis):
Add linkable anchor #L<N> to (original text) line number in diff

https://gerrit.wikimedia.org/r/185569

Patch-For-Review

Nemo_bis raised the priority of this task from "Lowest" to "Normal".Jan 16 2015, 11:16 PM

Some parts of this feature request are easy to accomplish (see the two patches above), some others way less, especially T4313#68272 which asks anchors within the parsed HTML itself (if I understood correctly).

Change 185568 merged by jenkins-bot:
Add anchor "mw-oldid" for beginning of page content in diff view

https://gerrit.wikimedia.org/r/185568

He7d3r edited the task description. (Show Details)Mar 10 2015, 8:47 PM
He7d3r added a project: user-notice.
Nemo_bis removed a subscriber: Nemo_bis.Mar 19 2015, 9:11 AM

Just to sum up:

From my understanding gerrit change 185568 and gerrit change 185569 are for T63486 and have nothing to do with this task. Also comments T4313#68248 and T4313#68256 were already implemented long ago

Ciencia_Al_Poder changed the title from "Provide linkable anchors in diff view (e.g. content top, line numbers)" to "Provide linkable anchors in diff view to the affected content, or highlight the changes in the content".Apr 1 2015, 9:24 PM
Ciencia_Al_Poder edited the task description. (Show Details)
Ciencia_Al_Poder removed subscribers: gerritbot, Unknown Object (MLST).

Add Comment